Bug 123302 - Should not use GTK_IM_MODULE to set system's default
Should not use GTK_IM_MODULE to set system's default
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 12:53 EDT by Nakai
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-17 07:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nakai 2004-05-16 12:53:51 EDT
Description of problem:
GTK_IM_MODULE=iiim is set in /usr/X11R6/lib/X11/xinit/xinitrc.d/xinput
but this hold up chance of system administrator to set system's
default in /etc/gtk-2.0/gtk.immodules.

In general,
config file setting should be primary, and environment value should
be secondary. System should not set environment value needlessly.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Change default im setting in /etc/gtk-2.0/gtk.immodules 
2. System ignores...
3.
  
Actual results:
IIIM default settings in xinput

Expected results:
System's default should be /etc/gtk-2.0/gtk.immodules

Additional info:
Comment 1 Owen Taylor 2004-05-17 07:19:08 EDT
gtk.immodules is purely a cache file that holds the results
of querying the modules on the system. It should never be edited.
Setting the environment variable, is, in my opinion, the right
way to set the default input method.

Note You need to log in before you can comment on or make changes to this bug.